Bug 829867 - Make PackageKit not use libpolkit-backend-1.so.0
Make PackageKit not use libpolkit-backend-1.so.0
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 13:43 EDT by David Zeuthen
Modified: 2013-12-11 04:41 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-11 04:41:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Zeuthen 2012-06-07 13:43:08 EDT
In polkit-0.106, the libpolkit-backend-1.so library is no longer shipped but this is a problem because PackageKit appears to depend on it

 $ sudo rpm -Uvh noarch/*0.106* x86_64/*0.106*
 error: Failed dependencies:
 	libpolkit-backend-1.so.0()(64bit) is needed by (installed) PackageKit-0.7.4-4.fc17.x86_6

I guess PackageKit used this for providing a PolkitBackendActionLookup extension but please note that these haven't been used since version 0.101 (March 2011), see

 http://cgit.freedesktop.org/polkit/commit/?id=02cebdb060e76e6d176f05ef24968e6d17225edb

that tells you to use polkit.message instead.

Either way, please update PackageKit to not depend on libpolkit-backend-1.so

(Note that this library going away is not an API/ABI break because it the library was never declared stable - to use it you have to define POLKIT_BACKEND_I_KNOW_API_IS_SUBJECT_TO_CHANGE)
Comment 1 David Zeuthen 2012-06-07 14:09:06 EDT
Changing version to rawhide since this only applies to f18
Comment 2 Richard Hughes 2012-06-08 07:22:55 EDT
I've committed this upstream:

 if test x$with_security_framework = xpolkit; then
        PKG_CHECK_MODULES(POLKIT, \
-                         polkit-backend-1 \
                          polkit-gobject-1 >= $POLKIT_GOBJECT_REQUIRED)
        AC_DEFINE(USE_SECURITY_POLKIT, 1, [if we should use PolicyKit])

I don't think we were actually using polkit-backend and all the polkit-touching stuff seems to be doing polkit_details_insert (details, "polkit.message", "foo");

I'll roll a new upstream release in a week or so and then rawhide will get the fix. Do you need me to patch the PackageKit pakage in rawhide in the meantime?

Richard.
Comment 4 Fedora End Of Life 2013-04-03 15:22:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.